MatchSelector (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.file.match.MatchSelector class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.file.match
Class MatchSelector

    java.lang.Object
      org.hyperic.util.file.match.MatchSelector

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.FileSelector

    public class MatchSelector

extends java.lang.Object
implements org.apache.tools.ant.types.selectors.FileSelector

Constructor Summary
`MatchSelector(java.lang.Object key)`
`MatchSelector(java.lang.Object key, java.util.List matchPatterns, java.util.List excludePatterns)`

Method Summary
`void` | `addExcludePattern(java.lang.String pattern)`
`void` | `addExcludePatterns(java.lang.String[] patterns)`
`void` | `addMatchPattern(java.lang.String pattern)`
`void` | `addMatchPatterns(java.lang.String[] patterns)`
`java.util.List` | `getExcludePatterns()`
`java.lang.Object` | `getKey()`
`java.util.List` | `getMatchPatterns()`
`boolean` | `isSelected(java.io.File basedir, java.lang.String filename, java.io.File file)`
`void` | `setKey(java.lang.Object key)`
`void` | `setMatcherScanner(org.hyperic.util.file.match.MatcherScanner scanner)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatchSelector

    public MatchSelector(java.lang.Object key)

### MatchSelector

    public MatchSelector(java.lang.Object key,
                         java.util.List matchPatterns,
                         java.util.List excludePatterns)

Method Detail

### setMatcherScanner

    public void setMatcherScanner(org.hyperic.util.file.match.MatcherScanner scanner)

### getKey

    public java.lang.Object getKey()

### setKey

    public void setKey(java.lang.Object key)

### getMatchPatterns

    public java.util.List getMatchPatterns()

### addMatchPattern

    public void addMatchPattern(java.lang.String pattern)

### addMatchPatterns

    public void addMatchPatterns(java.lang.String[] patterns)

### getExcludePatterns

    public java.util.List getExcludePatterns()

### addExcludePattern

    public void addExcludePattern(java.lang.String pattern)

### addExcludePatterns

    public void addExcludePatterns(java.lang.String[] patterns)

### isSelected

    public boolean isSelected(java.io.File basedir,
                              java.lang.String filename,
                              java.io.File file)
                       throws org.apache.tools.ant.BuildException

  Specified by:
    `isSelected` in interface `org.apache.tools.ant.types.selectors.FileSelector`
  Throws:
    `org.apache.tools.ant.BuildException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.